#iData=read.csv('.Data/IOVD_SmallDotsData.csv')
IOVDList=c(0,1)
col1List=c(rgb(0.6,.8,1),rgb(1,.8,.6))
col2List=c(rgb(0,0,1),rgb(0.8,0.5,0))
hitsCross=matrix(nrow=2,ncol=1)
hitsUnc=matrix(nrow=2,ncol=1)
numCross=matrix(nrow=2,ncol=1)
numUnc=matrix(nrow=2,ncol=1)
conIntCross=matrix(nrow=2,ncol=3)
conIntUnc=matrix(nrow=2, ncol=3)
vc=c(1,2,3)
vu=c(1,2,3)

animList=(unique(iData$Animal, na.rm=TRUE));

for(j in 1:2){
  motion=IOVDList[j]
  col1=col1List[j]
  col2=col2List[j]
  hitsCross[j,1]=sum(subset(iData, IOVD==motion&Disparity==1, na.rm=TRUE)$Pstrike)
  numCross[j,1]=length(subset(iData, IOVD==motion&Disparity==1, na.rm=TRUE)$Pstrike)
  hitsUnc[j,1]=sum(subset(iData, IOVD==motion&Disparity==0, na.rm=TRUE)$Pstrike)
  numUnc[j,1]=length(subset(iData, IOVD==motion&Disparity==0, na.rm=TRUE)$Pstrike)
  conIntCross[j,1:3]=binconf(hitsCross[j],numCross[j])
  conIntUnc[j,1:3]=binconf(hitsUnc[j],numUnc[j])
  
   for(i in 1:length(animList)){
    vc[i]=mean(subset(iData, IOVD==motion&Disparity==1&Animal==animList[i], na.rm=TRUE)$Pstrike)
    vu[i]=mean(subset(iData, IOVD==motion&Disparity==0&Animal==animList[i], na.rm=TRUE)$Pstrike)
  }
 
  df2=data.frame(Response=c(vc,vu),Disparity=rep(c("Crossed", "Uncrossed"), each=length(animList)),ID=rep(1:length(animList),2))
  g=ggplot()+geom_line(data=df2,aes(x=Disparity, y=Response,group=ID), colour=col1, size=1.2)+geom_point(data=df2,aes(x=Disparity, y=Response,group=ID),colour=col1, size=3)
  cComb=mean(subset(iData, IOVD==motion&Disparity==1, na.rm=TRUE)$Pstrike)
  ucComb=mean(subset(iData, IOVD==motion&Disparity==0, na.rm=TRUE)$Pstrike)
  y=c(cComb,ucComb);
  minC=conIntCross[j,2]
  minU=conIntUnc[j,2]
  maxC=conIntCross[j,3]
  maxU=conIntUnc[j,3]
  min=c(minC,minU)
  max=c(maxC, maxU)
  df3=data.frame(Response=y,Disparity=c("Crossed", "Uncrossed"),ID=rep(length(animList)),min,max)
  output=g+geom_line(data=df3, aes(x=Disparity, y=Response,group=ID),colour=col2, size=1.2)+geom_point(data=df3,aes(x=Disparity, y=Response,group=ID),colour=col2, size=3)+ylim(0, 1)+geom_errorbar(data=df3,aes(ymin=min, ymax=max, x=Disparity), width=.05, size=1, colour=col2)
  print(output)
}