midData=read.csv('./Data/Nityananda_et_al2018_MotionInDepth_Experiment2_Data.csv')

#Initializing
condList=c(1,2,3,4,5,6,7,8,9)
col1List=brewer.pal(n = 10, name = "Set3")
col2List=c(rgb(0,0,1),rgb(0.8,0.5,0))
hitsCross=matrix(nrow=9,ncol=1)
hitsUnc=matrix(nrow=9,ncol=1)
numCross=matrix(nrow=9,ncol=1)
numUnc=matrix(nrow=9,ncol=1)
conIntCross=matrix(nrow=9,ncol=3)
conIntUnc=matrix(nrow=9, ncol=3)
condComb=matrix(nrow=90,ncol=1)
cComb=matrix(nrow=9,ncol=1)
vc=matrix(nrow=90,ncol=1)
animList=(unique(midData$Animal, na.rm=TRUE));

#Plotting the individual responses

r=1;

for(j in 1:length(condList)){
  cond=condList[j]
  col1=col1List[1]
  col2=col2List[1]
  hitsCross[j]=sum(subset(midData, Condition==cond, na.rm=TRUE)$Pstrike)
  numCross[j]=length(subset(midData, Condition==cond, na.rm=TRUE)$Pstrike)
  conIntCross[j,1:3]=binconf(hitsCross[j],numCross[j])
    for(i in 1:length(animList)){
    vc[r]=mean(subset(midData, Condition==cond&Animal==animList[i])$Pstrike)
    condComb[r]=cond;
    r=r+1;
    }
  }


  
  df2=data.frame(Response=vc,ID=rep(1:length(animList),9),StimCondition=condComb)
 StimOrder=c(rep(1,10),rep(2,10),rep(3,10),rep(4,10),rep(5,10),rep(6,10),rep(7,10),rep(8,10),rep(9,10));
  df2=mutate(df2, StimOrder=StimOrder)
  df2$StimCondition=factor(df2$StimCondition)
  df2$StimOrder=factor(df2$StimOrder)
g=ggplot()+geom_line(data=df2,aes(x=StimOrder, y=Response,group=ID), colour=rgb(0.7,0.7,0.7), size=0.7)+geom_point(data=df2,aes(x=StimOrder, y=Response,group=ID, colour=col1List[ID]), size=3)+scale_x_discrete(breaks=seq(0,9,1),lim=c("1","2","3","4","5","6","7","8","9"))#+facet_wrap(~StimCondition,ncol=3)
  

#Plotting the mean response
  
  for (t in 1:length(condList)){
  cComb[t]=mean(subset(midData, Condition==condList[t], na.rm=TRUE)$Pstrike)
  }
  
  minC=conIntCross[,2];
  maxC=conIntCross[,3];
  min=minC;
  max=maxC;
  Stim2=c("A_one","B_two","C_three","D_four","E_six","F_nine","G_five","H_seven","I_eight")
  
  df3=data.frame(Response=cComb,StimCondition=condList,ID=rep(length(condList)),min,max)
  df3$StimCondition=factor(df3$StimCondition)
  StimOrderList=unique(StimOrder)
  df3=mutate(df3, StimOrder=StimOrderList)
  df3$StimOrder=factor(df3$StimOrder)

  #Creating the output plot
output=g+geom_line(data=df3, aes(x=StimOrder, y=Response,group=ID), colour=rgb(0,0,0), size=1.2)+geom_point(data=df3,aes(x=StimOrder, y=Response,group=ID),colour=rgb(0,0,0), size=3)+ylim(0, 1)+geom_errorbar(data=df3,aes(ymin=min, ymax=max, x=StimOrder), width=0.1, size=1, colour=rgb(0,0,0))+scale_x_discrete(breaks=seq(0,9,1))
 output=output+labs(x = "Stimulus", y = "Probability of Response")
output=output+ theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(),
                                  panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))
output=output+theme(axis.title.y = element_text(margin = margin(t = 0, r = 10, b = 0, l = 0)))
output=output+theme(axis.title.x = element_text(margin = margin(t = 10, r = 0, b = 0, l = 0)))
 print(output)
