
lfData=read.csv("./Data/Nityananada_et_al2018_MotionInDepth_Experiment3_Data.csv")

#Intializing
lfDataSub=lfData
motionList=c(1,2)
col1List=c(rgb(0.6,.8,1),rgb(1,.8,.6))
col2List=c(rgb(0,0,1),rgb(0.8,0.5,0))
hitsLoom=matrix(nrow=2,ncol=1)
hitsNoLoom=matrix(nrow=2,ncol=1)
numLoom=matrix(nrow=2,ncol=1)
numNoLoom=matrix(nrow=2,ncol=1)
conIntLoom=matrix(nrow=2,ncol=3)
conIntNoLoom=matrix(nrow=2, ncol=3)
vl=matrix(nrow=14,ncol=1)
vnl=matrix(nrow=14,ncol=1)
cr=matrix(nrow=14,ncol=1)
animList=(unique(lfDataSub$Animal, na.rm=TRUE));


#For each motion condition (with or without internal flow)
for(j in 1:2){
  motion=motionList[j]
  col1=col1List[j]
  col2=col2List[j]
  hitsLoom[j,1]=sum(subset(lfDataSub, motion==motionCondition&Loom==1, na.rm=TRUE)$ProbStrike)
  numLoom[j,1]=length(subset(lfDataSub, motion==motionCondition&Loom==1, na.rm=TRUE)$ProbStrike)
  hitsNoLoom[j,1]=sum(subset(lfDataSub, motion==motionCondition&Loom==0, na.rm=TRUE)$ProbStrike)
  numNoLoom[j,1]=length(subset(lfDataSub, motion==motionCondition&Loom==0, na.rm=TRUE)$ProbStrike)
  conIntLoom[j,1:3]=binconf(hitsLoom[j],numLoom[j])
  conIntNoLoom[j,1:3]=binconf(hitsNoLoom[j],numNoLoom[j])
  
  #Plotting individual animal plots
  for(i in 1:length(animList)){
    vl[i]=mean(subset(lfDataSub, motion==motionCondition&Loom==1&Animal==animList[i], na.rm=TRUE)$ProbStrike)
    vnl[i]=mean(subset(lfDataSub, motion==motionCondition&Loom==0&Animal==animList[i], na.rm=TRUE)$ProbStrike)
    cross=(subset(lfDataSub, Animal==animList[i], na.rm=TRUE)$Disparity)
    cr[i]=cross[1]
     }
  
  df2=data.frame(Response=c(vl,vnl),Loom=rep(c("Loom", "No Loom"), each=length(animList)),Disparity=cr,ID=rep(1:length(animList),2))
  df2$Disparity=as.factor(df2$Disparity)
  g=ggplot(df2)+geom_line(aes(x=Loom, y=Response,group=ID, linetype=Disparity), colour=col1, size=1.2)+geom_point(data=df2,aes(x=Loom, y=Response,group=ID),colour=col1, size=3)
  
  #Plotting the mean value
    cComb=mean(subset(lfDataSub, motion==motionCondition&Loom==1, na.rm=TRUE)$ProbStrike)
  ucComb=mean(subset(lfDataSub, motion==motionCondition&Loom==0, na.rm=TRUE)$ProbStrike)
  y=c(cComb,ucComb);
  minC=conIntLoom[j,2]
  minU=conIntNoLoom[j,2]
  maxC=conIntLoom[j,3]
  maxU=conIntNoLoom[j,3]
  min=c(minC,minU)
  max=c(maxC, maxU)
  
  df3=data.frame(Response=y,Loom=c("Loom", "No Loom"),ID=rep(length(animList)),min,max)
  output=g+geom_line(data=df3, aes(x=Loom, y=Response,group=ID),colour=col2, size=1.2)+geom_point(data=df3,aes(x=Loom, y=Response,group=ID),colour=col2, size=3)+ylim(0, 1)+geom_errorbar(data=df3,aes(ymin=min, ymax=max, x=Loom), width=.05, size=1, colour=col2)+ theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(),
                                                                                                                                                                                                                                                                           panel.background = element_blank(), axis.line = element_line(colour = "black"))
  print(output)
}